Skip to main content
POST
/
drivers
Create a driver
curl --request POST \
  --url https://app.unitedlogistics.com.do/api/v1/drivers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "external_id": 123,
  "name": "<string>",
  "driver_key": "<string>",
  "license_number": "<string>",
  "profile_picture_url": "<string>",
  "phone_number": "<string>",
  "email": "jsmith@example.com",
  "notes": "<string>"
}
'
import requests

url = "https://app.unitedlogistics.com.do/api/v1/drivers"

payload = {
"external_id": 123,
"name": "<string>",
"driver_key": "<string>",
"license_number": "<string>",
"profile_picture_url": "<string>",
"phone_number": "<string>",
"email": "jsmith@example.com",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
external_id: 123,
name: '<string>',
driver_key: '<string>',
license_number: '<string>',
profile_picture_url: '<string>',
phone_number: '<string>',
email: 'jsmith@example.com',
notes: '<string>'
})
};

fetch('https://app.unitedlogistics.com.do/api/v1/drivers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "external_id": 123,
    "provider": "karma",
    "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "driver_key": "<string>",
    "license_number": "<string>",
    "profile_picture_url": "<string>",
    "status": "<string>",
    "phone_number": "<string>",
    "email": "<string>",
    "notes": "<string>",
    "deactivated_at": "<string>",
    "deactivation_reason": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}
{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}
{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}
{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}
{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}
{
"error": {
"code": "unauthorized",
"message": "Missing Authorization header.",
"details": "<unknown>"
}
}

Authorizations

Authorization
string
header
required

Authorization: Bearer ulk__. Cree la clave en Configuración → API.

Body

application/json
external_id
integer
required
provider
required
Available options:
karma,
internal
name
string
required
Required string length: 1 - 200
driver_key
string
required
Required string length: 1 - 200
license_number
string | null
Maximum string length: 100
profile_picture_url
string<uri> | null
status
enum<string>
Available options:
active,
inactive,
on_leave,
suspended
phone_number
string | null
Maximum string length: 50
email
Maximum string length: 200
notes
string | null
Maximum string length: 2000

Response

Created

data
object
required